<h2>Accountdaten ändern</h2>
<form #form="ngForm" (ngSubmit)="changeAccount(form)" novalidate>
  <mat-form-field appearance="standard" class="w-100">
    <mat-label>Vorname</mat-label>
    <input
      matInput
      type="text"
      name="name"
      id="name"
      aria-describedby="nameHelp"
      #name="ngModel"
      [(ngModel)]="user.name"
    />
  </mat-form-field>
  <mat-form-field appearance="standard" class="w-100">
    <mat-label>Nachname</mat-label>
    <input
      matInput
      type="text"
      name="surname"
      id="surname"
      aria-describedby="surnameHelp"
      #surname="ngModel"
      [(ngModel)]="user.surname"
    />
  </mat-form-field>
  <mat-form-field appearance="standard" class="w-100">
    <mat-label>Benutzername</mat-label>
    <input
      matInput
      type="text"
      id="username"
      name="username"
      required
      maxlength="20"
      aria-describedby="nameHelp"
      #username="ngModel"
      [(ngModel)]="user.username"
    />

    <mat-hint>Maximal 20 Zeichen</mat-hint>
  </mat-form-field>
  <mat-form-field appearance="standard" class="w-100">
    <mat-label>Email Adresse</mat-label>
    <input
      matInput
      type="email"
      name="email"
      id="email"
      aria-describedby="emailHelp"
      required
      #email="ngModel"
      [(ngModel)]="user.email"
    />
  </mat-form-field>

  <button
    type="submit"
    mat-flat-button
    color="primary"
    [disabled]="!validate(form)"
  >
    Aktualisieren
  </button>
</form>

<hr />
<h2>Passwort ändern</h2>
<form
  #pwform="ngForm"
  (ngSubmit)="changePassword(pwform)"
  novalidate
  class="mb-2"
>
  <mat-form-field appearance="standard" class="w-100">
    <mat-label>Neues Passwort</mat-label>
    <input
      matInput
      type="password"
      name="password"
      id="password"
      #password="ngModel"
      ngModel
      minlength="7"
    />

    <mat-hint>Wenigstens 7 Zeichen</mat-hint>
  </mat-form-field>
  <mat-form-field appearance="standard" class="w-100">
    <mat-label>Neues Passwort wiederholen</mat-label>
    <input
      matInput
      type="password"
      name="password2"
      id="password2"
      #password2="ngModel"
      ngModel
      minlength="7"
    />
  </mat-form-field>

  <button
    type="submit"
    mat-flat-button
    color="primary"
    [disabled]="!match(password.value, password2.value)"
  >
    Ändern
  </button>
</form>
<h2>Account löschen</h2>
<button mat-flat-button color="warn" (click)="delete()">Account löschen</button>
